<?php

namespace App\Generated\V1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class ProfileUserSupvipDTO extends DTO
{
    use ValueHelper;

    protected $supvip_endat;
    protected $supvip_days;
    protected $locklikeme_cnt;

    /**
     * @return int|null
     */
    public function getSupvip_endat()
    {
        return $this->supvip_endat;
    }

    /**
     * @return int|null
     */
    public function getSupvip_days()
    {
        return $this->supvip_days;
    }

    /**
     * @return int|null
     */
    public function getLocklikeme_cnt()
    {
        return $this->locklikeme_cnt;
    }

    public function setSupvip_endat($supvip_endat)
    {
        $this->supvip_endat = $supvip_endat;
    }

    public function setSupvip_days($supvip_days)
    {
        $this->supvip_days = $supvip_days;
    }

    public function setLocklikeme_cnt($locklikeme_cnt)
    {
        $this->locklikeme_cnt = $locklikeme_cnt;
    }

    public function getAttributeMap()
    {
        return [
            ['supvip_endat', 'supvip_endat', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['supvip_days', 'supvip_days', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['locklikeme_cnt', 'locklikeme_cnt', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

}
